Bug 1380520 - foo2zjs-0.20160904-2 not built with $RPM_OPT_FLAGS
Summary: foo2zjs-0.20160904-2 not built with $RPM_OPT_FLAGS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: foo2zjs
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Atherton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2016-09-29 20:18 UTC by Ville Skyttä
Modified: 2016-10-09 09:22 UTC (History)
1 user (show)

Fixed In Version: foo2zjs-0.20160904-3.fc25 foo2zjs-0.20160904-3.fc24 foo2zjs-0.20160904-3.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:46:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Ville Skyttä 2016-09-29 20:18:50 UTC
foo2zjs-0.20160904-2 is not built with $RPM_OPT_FLAGS. The regression is most likely caused by this change in the "Spec file cleanup" commit:

-make CFLAGS="$RPM_OPT_FLAGS"
+%make_build

%make_build doesn't set CFLAGS.

Comment 1 Fedora Update System 2016-09-30 20:24:15 UTC
foo2zjs-0.20160904-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-216fb5e34b

Comment 2 Fedora Update System 2016-10-01 05:26:46 UTC
foo2zjs-0.20160904-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbaaf6911

Comment 3 Fedora Update System 2016-10-01 05:27:48 UTC
foo2zjs-0.20160904-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c262272862

Comment 4 Fedora Update System 2016-10-09 02:46:31 UTC
foo2zjs-0.20160904-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-10-09 06:20:55 UTC
foo2zjs-0.20160904-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-10-09 09:22:17 UTC
foo2zjs-0.20160904-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.